cURL
curl -X POST "https://api.fitsociety.io/public/v1/workout/clients/{clientId}/plans/template/{templateId}/days" \
-H "Authorization: Bearer <access_token>" \
-H "Idempotency-Key: <stable_request_key>" \
-H "Content-Type: application/json" \
-d '{}'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: [{lang: 'en', value: 'Day 1'}, {lang: 'nl', value: 'Dag 1'}],
description: [{lang: 'en', value: 'Day 1'}, {lang: 'nl', value: 'Dag 1'}]
})
};
fetch('https://api.fitsociety.io/public/v1/workout/clients/{clientId}/plans/template/{templateId}/days', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/workout/clients/{clientId}/plans/template/{templateId}/days"
payload = {
"name": [
{
"lang": "en",
"value": "Day 1"
},
{
"lang": "nl",
"value": "Dag 1"
}
],
"description": [
{
"lang": "en",
"value": "Day 1"
},
{
"lang": "nl",
"value": "Dag 1"
}
]
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"planMoment": {
"_id": "67f1234567890abcdef1234",
"name": [
{
"lang": "en",
"value": "Full Body Strength"
},
{
"lang": "nl",
"value": "Full Body Kracht"
}
],
"description": [
{
"lang": "en",
"value": "Full Body Strength"
},
{
"lang": "nl",
"value": "Full Body Kracht"
}
],
"dayOrder": 1,
"order": 0,
"weekNumber": 1,
"sessionOrder": 1,
"date": "2026-04-15",
"scoringType": "forTime",
"targetValue": null,
"descriptionOnly": true,
"timeDomain": {
"windowSeconds": null,
"timeCapSeconds": 900,
"rounds": 3,
"intervalSeconds": null,
"intervalCount": null,
"workSeconds": null,
"restSeconds": null
},
"scoreValidation": {
"timeCapSeconds": 900,
"maxReps": null,
"expectedIntervals": null
},
"exercises": [
{
"_id": "67f1234567890abcdef1234",
"exerciseId": "67f1234567890abcdef1234",
"type": "reps",
"minReps": 6,
"maxReps": 8,
"notes": "Pause 1 second on the chest.",
"sets": 4,
"metric": "kg",
"rest": 120,
"intensity": "High",
"difficulty": "Intermediate",
"groupId": "super-a",
"rpe": 8,
"rmPercentage": 75,
"tempo": "3010",
"perSetTrackingEnabled": true,
"rpeEnabled": false,
"showSetRpe": true,
"setsData": [
{
"setNumber": 1,
"setType": "N",
"metric": "12",
"repetition": "8-12",
"weight": 60,
"rest": 90,
"rpe": 7.5,
"duration": 45,
"distance": 250
}
],
"setupSettingsEnabled": true,
"setupFields": [
{
"key": "seat",
"label": "Seat",
"type": "text",
"unit": "",
"options": [
"1",
"2",
"3",
"4"
],
"order": 1,
"required": false,
"enabled": true,
"defaultValue": 3
}
],
"order": 0,
"isDeleted": false,
"deletedAt": null,
"createdAt": "2026-04-12T10:00:00.000Z",
"updatedAt": "2026-04-12T10:00:00.000Z"
}
],
"isDeleted": false,
"deletedAt": null,
"createdAt": "2026-04-12T10:00:00.000Z",
"updatedAt": "2026-04-12T10:00:00.000Z"
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
},
"idempotency": {
"replayed": false
}
}
}Plan days
Add a day to the client's assigned plan
Append a new day (plan moment) to the client’s assigned plan. dayOrder defaults to the next free slot; duplicate dayOrder is rejected. The server assigns new IDs to the day and each supplied exercise.
Requires the workout_client_plans:write scope and the corresponding Workout features and permissions.
The clientId path parameter identifies a client in the company bound to the Public API token.
POST
/
public
/
v1
/
workout
/
clients
/
{clientId}
/
plans
/
template
/
{templateId}
/
days
cURL
curl -X POST "https://api.fitsociety.io/public/v1/workout/clients/{clientId}/plans/template/{templateId}/days" \
-H "Authorization: Bearer <access_token>" \
-H "Idempotency-Key: <stable_request_key>" \
-H "Content-Type: application/json" \
-d '{}'const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: [{lang: 'en', value: 'Day 1'}, {lang: 'nl', value: 'Dag 1'}],
description: [{lang: 'en', value: 'Day 1'}, {lang: 'nl', value: 'Dag 1'}]
})
};
fetch('https://api.fitsociety.io/public/v1/workout/clients/{clientId}/plans/template/{templateId}/days', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/workout/clients/{clientId}/plans/template/{templateId}/days"
payload = {
"name": [
{
"lang": "en",
"value": "Day 1"
},
{
"lang": "nl",
"value": "Dag 1"
}
],
"description": [
{
"lang": "en",
"value": "Day 1"
},
{
"lang": "nl",
"value": "Dag 1"
}
]
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"planMoment": {
"_id": "67f1234567890abcdef1234",
"name": [
{
"lang": "en",
"value": "Full Body Strength"
},
{
"lang": "nl",
"value": "Full Body Kracht"
}
],
"description": [
{
"lang": "en",
"value": "Full Body Strength"
},
{
"lang": "nl",
"value": "Full Body Kracht"
}
],
"dayOrder": 1,
"order": 0,
"weekNumber": 1,
"sessionOrder": 1,
"date": "2026-04-15",
"scoringType": "forTime",
"targetValue": null,
"descriptionOnly": true,
"timeDomain": {
"windowSeconds": null,
"timeCapSeconds": 900,
"rounds": 3,
"intervalSeconds": null,
"intervalCount": null,
"workSeconds": null,
"restSeconds": null
},
"scoreValidation": {
"timeCapSeconds": 900,
"maxReps": null,
"expectedIntervals": null
},
"exercises": [
{
"_id": "67f1234567890abcdef1234",
"exerciseId": "67f1234567890abcdef1234",
"type": "reps",
"minReps": 6,
"maxReps": 8,
"notes": "Pause 1 second on the chest.",
"sets": 4,
"metric": "kg",
"rest": 120,
"intensity": "High",
"difficulty": "Intermediate",
"groupId": "super-a",
"rpe": 8,
"rmPercentage": 75,
"tempo": "3010",
"perSetTrackingEnabled": true,
"rpeEnabled": false,
"showSetRpe": true,
"setsData": [
{
"setNumber": 1,
"setType": "N",
"metric": "12",
"repetition": "8-12",
"weight": 60,
"rest": 90,
"rpe": 7.5,
"duration": 45,
"distance": 250
}
],
"setupSettingsEnabled": true,
"setupFields": [
{
"key": "seat",
"label": "Seat",
"type": "text",
"unit": "",
"options": [
"1",
"2",
"3",
"4"
],
"order": 1,
"required": false,
"enabled": true,
"defaultValue": 3
}
],
"order": 0,
"isDeleted": false,
"deletedAt": null,
"createdAt": "2026-04-12T10:00:00.000Z",
"updatedAt": "2026-04-12T10:00:00.000Z"
}
],
"isDeleted": false,
"deletedAt": null,
"createdAt": "2026-04-12T10:00:00.000Z",
"updatedAt": "2026-04-12T10:00:00.000Z"
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
},
"idempotency": {
"replayed": false
}
}
}Authorizations
Headers
Required for Public API write requests. Reusing the same key with the same method, path, and body replays the stored successful response; reusing it with a different request returns 409 idempotency.conflict.
Required string length:
1 - 200Example:
"booking-create-20260714-001"
Path Parameters
Body
application/json